
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Feature #2546

BD remove N/A as valid answer on review question

03/22/2017 09:10 AM - Oleksii Kurasov

Status: Closed Start date: 03/22/2017

Priority: Urgent Due date: 03/24/2017

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

History

#1 - 03/23/2017 05:53 AM - Oleksii Kurasov

- Status changed from New to In Progress

#2 - 03/23/2017 06:55 AM - Oleksii Kurasov

- Status changed from In Progress to Resolved

#3 - 03/24/2017 05:57 AM - Oleksii Kurasov

- Status changed from Resolved to Closed

Powered by TCPDF (www.tcpdf.org)

06/07/2025 1/1

http://www.tcpdf.org

